import * as ts from "typescript";
export interface Options {
    dryRun?: boolean;
    verbose?: boolean;
    baseDir?: string;
    replace: boolean;
    verify: boolean;
    tslint: boolean;
    editorconfig: boolean;
    tsfmt: boolean;
}
export interface PostProcess {
    (fileName: string, formattedCode: string, opts: Options, formatOptions: ts.FormatCodeOptions): string;
}
export interface ResultMap {
    [fileName: string]: Result;
}
export interface Result {
    fileName: string;
    options: ts.FormatCodeOptions;
    message: string;
    error: boolean;
    src: string;
    dest: string;
}
export declare function processFiles(files: string[], opts: Options): Promise<ResultMap>;
export declare function processStream(fileName: string, input: NodeJS.ReadableStream, opts: Options): Promise<Result>;
export declare function processString(fileName: string, content: string, opts: Options): Promise<Result>;
